function getURLVar(key) {
    var value = [];
    
    var query = String(document.location).split('?');
    
    if (query[1]) {
        var part = query[1].split('&');

        for (i = 0; i < part.length; i++) {
            var data = part[i].split('=');
            
            if (data[0] && data[1]) {
                value[data[0]] = data[1];
            }
        }
        
        if (value[key]) {
            return value[key];
        } else {
            return '';
        }
    }
} 

function addToCart(product_id, quantity) {
    quantity = typeof(quantity) != 'undefined' ? quantity : 1;

    $.ajax({
	    url: 'index.php?route=checkout/cart/add',
	    type: 'post',
	    data: 'product_id=' + product_id + '&quantity=' + quantity,
	    dataType: 'json',
	    success: function(json) {
		    $('.success, .warning, .attention, .information, .error').remove();
		    
		    if (json['redirect']) {
			    location = json['redirect'];
		    }
		    
		    if (json['success']) {
			    $('#notification').html('<div class="success" style="display: none;">' + json['success'] + '<img src="catalog/view/theme/moda/img/close.png" alt="" class="close" /></div>');
			    
			    $('.success').fadeIn('slow');
			    
                if (opencart2) 
                {
					$('.cart').load('index.php?route=common/cart/info  .cart > *', function () {$(".cart .cart-info").css("visibility", "visible");});
                } else 
                {
					$('.cart').load('index.php?route=module/cart .cart > *', function () {$(".cart .cart-info").css("visibility", "visible");});
                }
			    //$('#cart-total').html(json['total']);
		    }	
	    }
    });
    
    return false;
}

// Product List
$('#list-view').click(function() {
	
	$('#content .product-layout').attr('class', 'row products product-layout product-list ');
	$('#content .product-layout > .col-md-4').attr('class', 'col-md-12');

	$('#content .product-layout > .col-md-12 .product > a').attr('class', 'image col-md-4');
	$('#content .product-layout > .col-md-12 .product > div.actions').attr('class', 'actions col-md-7');
	
	localStorage.setItem('display', 'list');
	 $('#list-view').addClass("selected");
	 $('#grid-view').removeClass("selected");
});

// Product Grid
$('#grid-view').click(function() {
		
	 $('#content .product-layout').attr('class', 'row products product-layout product-grid');
	    
         $('#content .product-layout > .col-md-12').attr('class', 'col-md-4');
	 $('#content .product-layout > .col-md-4 .product > a').attr('class', 'image');
	 $('#content .product-layout > .col-md-4 .product > div.actions').attr('class', 'actions');
	
	 localStorage.setItem('display', 'grid');
	 $('#list-view').removeClass("selected");
	 $('#grid-view').addClass("selected");
});

if (localStorage.getItem('display') == 'list') {
	$('#list-view').trigger('click');
} else {
	$('#grid-view').trigger('click');
}
		

$(window).on('load', function () 
{
	$('.selectpicker').selectpicker({});

	
	  // Cart Dropdown
	  /*
	$(document).on('click', '#cart.dropdown-toggle', function() {
	    $('#cart').load('/index.php?route=module/cart .cart > *');
	});*/
	

	var cart_hover = true;
	$(document).on("mouseenter", "#cart.dropdown-toggle",function(e)
	{

		if (cart_hover)
		{
			//$(".cart .cart-info").css("visibility", "visible");
			if (opencart2) 
			{
				$('.cart').load('index.php?route=common/cart/info  .cart > *', function () {$(".cart .cart-info").css("visibility", "visible");});
			} else 
			{
				$('.cart').load('index.php?route=module/cart .cart > *', function () {$(".cart .cart-info").css("visibility", "visible");});
			}
		}
		
		cart_hover = false;
		setTimeout(function () {cart_hover= true}, 1000);
		
		e.preventDefault();		
	});


	 $(".header .navbar input.search-query").autocomplete("/index.php?route=product/search&filter_name=");
	 
	 
	/* Search */
	$('.navbar-search button.icon-search').on('click', function(e) {
		url = $('base').prop('href') + 'index.php?route=product/search';
				 
		var search = $('.navbar-search input.search-query').prop('value');

		if (search) {
			url += '&search=' + encodeURIComponent(search);
		} else
		{
			var filter_name = $('input[name=\'filter_name\']').prop('value');
		
			if (filter_name) {
				url += '&filter_name=' + encodeURIComponent(filter_name);
			}
		}
		
		window.location = url;
		e.preventDefault();
		return false;
	});
	
	$('.navbar-form input.search-query').on('keydown', function(e) {
		if (e.keyCode == 13) {
			url = $('base').prop('href') + 'index.php?route=product/search';
			 
			var search = $('.navbar-search input.search-query').prop('value');
			
			if (search) {
				url += '&search=' + encodeURIComponent(search);
			}
			
			window.location = url;
		}
	}).click(function (e) 
	{
		this.value = '';
	});


	$(".navbar-form input.search-query").autocomplete($('base').attr('href')  + "index.php?route=product/search&filter_name=");

	
	$('#header input[name=\'filter_name\']').on('keydown', function(e) {
		this.style.color = '#000000';
		if (e.keyCode == 13) {
			url = $('base').prop('href') + 'index.php?route=product/search';
			 
			var filter_name = $('input[name=\'filter_name\']').prop('value');
			
			if (filter_name) {
				url += '&filter_name=' + encodeURIComponent(filter_name);
			}
			
			window.location = url;
		}
	}).click(function (e) 
	{
		this.value = '';
	});
	
	
	jQuery("span.quickview").click(function (event) 
	{
		$.colorbox({iframe:false,width:800,height:700,href:this.parentNode.href + "&ajax=true"});
		event.stopPropagation();
		event.stopImmediatePropagation();
		event.preventDefault();
		return false;
	});

	$('#notification').delegate('.success img, .warning img, .attention img, .information img','click', function() {
		$(this).parent().fadeOut('slow', function() {
			$(this).remove();
		});
	});	
});





// Cart add remove functions	
var cart = {
	'add': function(product_id, quantity) {
		$.ajax({
			url: 'index.php?route=checkout/cart/add',
			type: 'post',
			data: 'product_id=' + product_id + '&quantity=' + (typeof(quantity) != 'undefined' ? quantity : 1),
			dataType: 'json',
			beforeSend: function() {
				$('#cart > button').button('loading');
			},      
			success: function(json) {
				$('.alert, .text-danger').remove();
				
				$('#cart > button').button('reset');
				
				if (json['redirect']) {
					location = json['redirect'];
				}
				
				if (json['success']) {
					$('#content').parent().before('<div class="alert alert-success"><i class="fa fa-check-circle"></i> ' + json['success'] + '<button type="button" class="close" data-dismiss="alert">&times;</button></div>');
					
					$('#cart-total').html(json['total']);
					
					//check if not popup
					if (jQuery("#cboxLoadedContent .container").length = 0)
					$('html, body').animate({ scrollTop: 0 }, 'slow');

					if (opencart2) 
					{
						$('.cart').load('index.php?route=common/cart/info  .cart > *', function () {$(".cart .cart-info").css("visibility", "visible");});
					} else 
					{
						$('.cart').load('index.php?route=module/cart .cart > *', function () {$(".cart .cart-info").css("visibility", "visible");});
					}
				}
			}
		});
	},
	'update': function(key, quantity) {
		$.ajax({
			url: 'index.php?route=checkout/cart/update',
			type: 'post',
			data: 'key=' + key + '&quantity=' + (typeof(quantity) != 'undefined' ? quantity : 1),
			dataType: 'json',
			beforeSend: function() {
				$('#cart > button').button('loading');
			},      
			success: function(json) {
				$('#cart > button').button('reset');
				
				$('#cart-total').html(json['total']);
				
				if (getURLVar('route') == 'checkout/cart' || getURLVar('route') == 'checkout/checkout') {
					location = 'index.php?route=checkout/cart';
				} else {
					if (opencart2) 
					{
						$('.cart').load('index.php?route=common/cart/info  .cart > *', function () {$(".cart .cart-info").css("visibility", "visible");});
					} else 
					{
						$('.cart').load('index.php?route=module/cart .cart > *', function () {$(".cart .cart-info").css("visibility", "visible");});
					}
				}			
			}
		});			
	},
	'remove': function(key) {
		$.ajax({
			url: 'index.php?route=checkout/cart/remove',
			type: 'post',
			data: 'key=' + key,
			dataType: 'json',
			beforeSend: function() {
				$('#cart > button').button('loading');
			},      			
			success: function(json) {
				$('#cart > button').button('reset');
				
				$('#cart-total').html(json['total']);
				
				if (getURLVar('route') == 'checkout/cart' || getURLVar('route') == 'checkout/checkout') {
					location = 'index.php?route=checkout/cart';
				} else {
					if (opencart2) 
					{
						$('.cart').load('index.php?route=common/cart/info  .cart > *', function () {$(".cart .cart-info").css("visibility", "visible");});
					} else 
					{
						$('.cart').load('index.php?route=module/cart .cart > *', function () {$(".cart .cart-info").css("visibility", "visible");});
					}
				}
			}
		});			
	}
}

var voucher = {
	'add': function() {
		
	},
	'remove': function(key) {
		$.ajax({
			url: 'index.php?route=account/voucher/remove',
			type: 'post',
			data: 'key=' + key,
			dataType: 'json',
			beforeSend: function() {
				$('#cart > button').button('loading');
			},      
			complete: function() {
				$('#cart > button').button('reset');
			},			
			success: function(json) {
				$('#cart-total').html(json['total']);
				
				if (getURLVar('route') == 'checkout/cart' || getURLVar('route') == 'checkout/checkout') {
					location = 'index.php?route=checkout/cart';
				} else {
					if (opencart2) 
					{
						$('.cart').load('index.php?route=common/cart/info  .cart > *', function () {$(".cart .cart-info").css("visibility", "visible");});
					} else 
					{
						$('.cart').load('index.php?route=module/cart .cart > *', function () {$(".cart .cart-info").css("visibility", "visible");});
					}
				}			
			}
		});	
	}
}

var wishlist = {
	'add': function(product_id) {
		$.ajax({
			url: 'index.php?route=account/wishlist/add',
			type: 'post',
			data: 'product_id=' + product_id,
			dataType: 'json',
			success: function(json) {
				$('.alert').remove();
							
				if (json['success']) {
					$('#content').parent().before('<div class="alert alert-success"><i class="fa fa-check-circle"></i> ' + json['success'] + '<button type="button" class="close" data-dismiss="alert">&times;</button></div>');
					
					$('#wishlist-total').html(json['total']);
					
					//check if not popup
					if (jQuery("#cboxLoadedContent .container").length = 0)
					$('html, body').animate({ scrollTop: 0 }, 'slow');
				}   
			}
		});
	},
	'remove': function() {
	
	}
}

var compare = {
	'add': function(product_id) {
		$.ajax({
			url: 'index.php?route=product/compare/add',
			type: 'post',
			data: 'product_id=' + product_id,
			dataType: 'json',
			success: function(json) {
				$('.alert').remove();
							
				if (json['success']) {
					$('#content').parent().before('<div class="alert alert-success"><i class="fa fa-check-circle"></i> ' + json['success'] + '<button type="button" class="close" data-dismiss="alert">&times;</button></div>');
					
					$('#compare-total').html(json['total']);
					
					//check if not popup
					if (jQuery("#cboxLoadedContent .container").length = 0)
					$('html, body').animate({ scrollTop: 0 }, 'slow');
				}   
			}
		});
	},
	'remove': function() {
	
	}
}

$(window).on('load', function () 
{
	$('.selectpicker').selectpicker({});
});
